Subject: Re: [bug#37817] [PATCH 1/7] gnu: Add cl-heap., [bug#37817] [PATCH 2/7] gnu: Add curry-compose-reader-macros., [bug#37817] [PATCH 3/7] gnu: Add yason., [bug#37817] [PATCH 4/7] gnu: sbcl-iterate: Add missing native input., [bug#37817] [PATCH 5/7] gnu: Add ecl-iterate., [bug#37817] [PATCH 6/7] gnu: Add stefil., [bug#37817] [PATCH 7/7] gnu: Add graph.

From: Guillaume Le Vaillant <[email-masked]>
Date: Mon, 21 Oct 2019 12:05:13 +0200

Pierre Neidhardt skribis:

> Thanks for this patch.
>
> Everything is looking good, except the last patch where you should add an
> extra commit for the 'dot' package.
>
> Regarding the .asd patch: the lack of inferred package support is a
> general issue with our current build system.  Ideally, we could support
> it directly.  See this discussion for more details:
>
> https://gitlab.common-lisp.net/asdf/asdf/issues/10
>
> Would you be interested in working on it?  It might not be too hard :p

Ok, I'll put 'sbcl-graph-dot' and 'sbcl-graph-json' in their own
commits.

Also, I saw that there is a 'graph.scm' file with definitions of graph
related packages. Should I put 'sbcl-graph', 'sbcl-graph-dot' and
'sbcl-graph-json' in it, or should I keep them in 'lisp.scm'?